// Copyright 2001 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Source/CVS/OmniGroup/Frameworks/OWF/CSS.subproj/OWCSSNumber.h,v 1.4 2001/03/04 12:09:27 wjs Exp $

#import <OmniBase/OBObject.h>

@interface OWCSSNumber : OBObject
{
    float floatValue;
    NSString *unitsString;
}

+ (OWCSSNumber *)numberWithFloatValue:(float)newFloatValue unitsString:(NSString *)newUnitsString;
+ (OWCSSNumber *)standardIndentNumber;
+ (OWCSSNumber *)currentFontSizeNumber;

- initWithFloatValue:(float)newFloatValue unitsString:(NSString *)newUnitsString;

// API
- (float)floatValue;
- (NSString *)unitsString;


@end
